Bug 171171 - rpmfile fails with: invalid type 20 in mconvert()
Summary: rpmfile fails with: invalid type 20 in mconvert()
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-19 02:08 UTC by Mihai Ibanescu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 15:46:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mihai Ibanescu 2005-10-19 02:08:23 UTC
rpm version 4.4.2-6 on a fc4 system with some packages upgraded from rawhide.

/usr/lib/rpm/rpmfile some-ascii-file

will fail with:

invalid type 20 in mconvert()

(this breaks rpmbuild, that's how I got to it).

I was able to work around the problem by copying /usr/lib/rpm/magic.mgc from a
box running rpm-4.4.1-21

Caveat emptor: I may be missing some other packages rpm requires, so this may be
a NOTABUG, I didn't have the chance to test it on a real rawhide box.

Comment 1 Paul Nasrat 2005-10-25 15:46:43 UTC
Seems to work fine here on rawhide 

rpm-build-4.4.2-6

/usr/lib/rpm/rpmfile /etc/passwd
/etc/passwd: ASCII text



Note You need to log in before you can comment on or make changes to this bug.